Bug 237107 - Beta spin needs a RELEASE-NOTES-en file to be displayed by autorun script
Beta spin needs a RELEASE-NOTES-en file to be displayed by autorun script
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: doc-Installation_Guide (Show other bugs)
4.2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 09:40 EDT by Len DiMaggio
Modified: 2014-10-19 18:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-28 23:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2007-04-19 09:40:09 EDT
Description of problem:
Beta spin needs a RELEASE-NOTES-en file to be displayed by autorun script

Version-Release number of selected component (if applicable):
JBEAP/20070416/rpm/JBossAppPlatform4.2.0-re20070416.0/i386/ftp-isos/JBossAppPlatform4.2.0-re20070416.0-i386-disc1-ftp.iso
JBEAP/20070416/rpm/JBossAppPlatform4.2.0-re20070416.0/x86_64/ftp-isos/JBossAppPlatform4.2.0-re20070416.0-x86_64-disc1-ftp.iso

How reproducible:
100%

Steps to Reproduce:
1. The title says it all - we need the release note file to be displayed by autorun
  
Actual results:

sh ./autorun 
Traceback (most recent call last):
  File ".//display_notes.py", line 92, in ?
    DisplayNOTES(file=notes_file,title=title)
  File ".//display_notes.py", line 54, in __init__
    infile = open(file, "r")
IOError: [Errno 2] No such file or directory: 'RELEASE-NOTES-en'


Expected results:
Display of release notes

Additional info:

It's important to check this - there was a problem in the V1.0 stack project:
   https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183929

(Thanks to Dennis to reminding me about this!)
Comment 1 Dennis Gregorovic 2007-04-19 13:19:33 EDT
Please test
/mnt/redhat/nightly/JBEAP/20070419/rpm/JBossAppPlatform4.2.0-re20070419.0

Thanks
Comment 2 Len DiMaggio 2007-04-19 14:32:11 EDT
It's not there yet - will this happen tonight?

[root@dhcp83-184 JBEAP]# pwd
/mnt/redhat/devel/candidates/JBEAP
[root@dhcp83-184 JBEAP]# ll
total 36
drwxr-xr-x  4 root root 4096 Mar  2 12:20 20070228
drwxr-xr-x  5 root root 4096 Mar  2 12:20 20070302
drwxr-xr-x  4 root root 4096 Mar 12 11:18 20070312
drwxr-xr-x  4 root root 4096 Mar 20 09:44 20070320
drwxr-xr-x  4 root root 4096 Mar 26 10:45 20070326
drwxr-xr-x  4 root root 4096 Apr  4 14:22 20070402
drwxr-xr-x  4 root root 4096 Apr  9 16:27 20070409
drwxr-xr-x  4 root root 4096 Apr 10 00:36 20070410
drwxr-xr-x  4 root root 4096 Apr 16 09:26 20070416
lrwxrwxrwx  1 root root    8 Mar 12 11:17 Alpha1 -> 20070228
lrwxrwxrwx  1 root root    8 Mar 12 11:17 Alpha1.respin -> 20070302
lrwxrwxrwx  1 root root    8 Mar 12 11:11 Alpha2 -> 20070312
lrwxrwxrwx  1 root root    8 Mar 20 09:44 Alpha3 -> 20070320
lrwxrwxrwx  1 root root    8 Mar 26 10:45 Alpha4 -> 20070326
lrwxrwxrwx  1 root root    8 Apr  2 12:37 Alpha5 -> 20070402
lrwxrwxrwx  1 root root    8 Apr 10 00:36 Alpha6 -> 20070410
lrwxrwxrwx  1 root root    8 Apr 16 11:06 Beta1 -> 20070416
lrwxrwxrwx  1 root root   43 Apr 16 09:34 latest ->
/mnt/redhat/devel/candidates/JBEAP/20070416
Comment 3 Dennis Gregorovic 2007-04-19 14:39:44 EDT
Hi Len.  It's in the latest nightly, listed in comment #2
Comment 4 Len DiMaggio 2007-04-19 14:54:39 EDT
Sorry about that (comment #3) - it's fixed - the RELEASE-NOTES-en file is there
and is displayed by autorun

Note You need to log in before you can comment on or make changes to this bug.